Description

Theide uses presence of .svn directory to recognize SVN versioned sources. But since subversion 1.7 the .svn is present only in top level

directory of the checked out working copy. The result is that theide doesn't recognize any of the directories as versioned and the

SVN-related features won't appear in the menu.

Simple fix should be to scan the directory tree up, until root is reached or .svn directory is present.

History

#1 - 06/18/2012 04:00 PM - Miroslav Fidler

- Priority changed from Normal to Immediate

#2 - 07/06/2012 01:13 PM - Miroslav Fidler

- Assignee changed from Miroslav Fidler to Jan Dolinár

As I do not have svn 1.7 installed and I do not plan to do so now either... Could you plase look into the issue and propose a patch?

#3 - 07/06/2012 04:27 PM - Jan Dolinár

As I do not have svn 1.7 installed and I do not plan to do so now either... Could you plase look into the issue and propose a patch?

Ok, I'll do it.

#4 - 07/06/2012 08:43 PM - Jan Dolinár

- Status changed from New to Ready for QA

- Assignee changed from Jan Dolinár to Miroslav Fidler

Patch committed in 5144. It fixes the issue for me. Please mark as approved when you check that it doesn't break anything else.

#5 - 07/10/2012 10:38 PM - Miroslav Fidler

- Status changed from Ready for QA to Approved

Seems OK. Thanks a lot!
